aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-set-compositor-image.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2020-03-05 18:02:20 +0100
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2020-03-05 18:02:20 +0100
commitfcd1ea2c2baff977470da8ca53db560c8df21073 (patch)
tree05d70887a28ae57e9e3e397fe029075cd5a8e384 /jjb/common/include-agl-set-compositor-image.sh
parente2862db095c1d144c5f667f7ed8614fd94c2604a (diff)
Add build variant for agl-compositor image in CI
Build the agl-compositor feature for qemux86-64. Change-Id: I83b79a390d3981b98b24aa53a56aacf9a3f177e5 Bug-AGL: SPEC-3253 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-agl-set-compositor-image.sh')
-rw-r--r--jjb/common/include-agl-set-compositor-image.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/jjb/common/include-agl-set-compositor-image.sh b/jjb/common/include-agl-set-compositor-image.sh
new file mode 100644
index 00000000..3bb577a1
--- /dev/null
+++ b/jjb/common/include-agl-set-compositor-image.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+#
+# debugging purposes
+set -e
+
+################################################################################
+## Header
+################################################################################
+
+# only run on master, jellyfish and icefish
+( echo "master jellyfish icefish" | grep -q $TARGETBRANCH ) || exit 0
+
+# Use the agl-compositor
+export TARGETFEATURES="agl-demo agl-devel agl-netboot agl-compositor"
+export TARGETQA=""
+export TARGETIMAGE="agl-demo-platform"
+
+eval TARGETIMAGE="$TARGETIMAGE"
+eval TARGETIMAGEnogfx="$TARGETIMAGE"
+
+#if $DEBUG; then
+set | grep ^TARGET || true
+set | grep ^GERRIT || true
+set | grep ^MACHINE || true
+#fi